<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('plantel_turno', function (Blueprint $table) {
            $table->unsignedBigInteger('plantel_id');
            $table->foreign('plantel_id')->references('id')->on('plantels');
            $table->unsignedBigInteger('turno_id');
            $table->foreign('turno_id')->references('id')->on('turnos');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('plantel_turno');
    }
};
